# Id Card Templates

Id Card Templates

 - [GET /idCardTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/listidcardtemplates.md): This method will scan all id card templates and and return them to the caller.
 - [POST /idCardTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/createidcardtemplate.md): This method will auto-generate an ID and create a new id card template. If an ID is specified for the id card template, an error will be thrown.
 - [POST /idCardTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /idCardTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/deleteidcardtemplate.md): This method will delete a id card template with the specified ID.
 - [GET /idCardTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/getidcardtemplate.md): This method will look up a id card template by the specified ID and return it back.
 - [PATCH /idCardTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/patchidcardtemplate.md): This method will patch an existing id card template with the specified ID, using the HTTP PATCH specification.
 - [PUT /idCardTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/updateidcardtemplate.md): This method will update an existing id card template with the specified ID.
